Subject: labradorite

From: [email-masked]
Date: 4 Mar 1995 13:49:56 GMT

Anybody got any idea what the properties, folklore, etc. are surrounding a
stone known as labradorite (my spelling could be completely off here...).
It's a dark sort of greyish stone with luminescent flecks of blue in it --
extremely captivating. I'd never seen it before until about a year ago.

Any information would be appreciated. Thanks!

[email-masked]